Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.template
Class JspXHTMLTemplateCompiler

    java.lang.Object
      echopointng.ui.template.XHTMLTemplateCompiler
          echopointng.ui.template.JspXHTMLTemplateCompiler

All Implemented Interfaces:
  TemplateCompiler

    public class JspXHTMLTemplateCompiler

extends XHTMLTemplateCompiler

`JspXHTMLTemplateCompiler` can compile XHTML source template data from JSP page into a XHTML DO Element.

Constructor Summary
`JspXHTMLTemplateCompiler()`

Method Summary
`org.w3c.dom.Element` | `compileTemplateDataIntoXHTML(RenderContext rc, TemplateDataSource tds)` This method is called to compile a template data source of template data into a DOM XHTML Element.

Methods inherited from class echopointng.ui.template.XHTMLTemplateCompiler
`compileXHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspXHTMLTemplateCompiler

    public JspXHTMLTemplateCompiler()

Method Detail

### compileTemplateDataIntoXHTML

    public org.w3c.dom.Element compileTemplateDataIntoXHTML(RenderContext rc,
                                                            TemplateDataSource tds)
                                                     throws java.lang.Exception

  Description copied from interface: `TemplateCompiler`
  This method is called to compile a template data source of template data into a DOM XHTML Element.

  Specified by:
    `compileTemplateDataIntoXHTML` in interface `TemplateCompiler`
  Overrides:
    `compileTemplateDataIntoXHTML` in class `XHTMLTemplateCompiler`
  Parameters:
    `rc` - - the RenderContext is play at the time of compilation
    `tds` - - the template data source
  Returns:
    a DOM Element in XHTML or null if it cant be compiled
  Throws:
    `java.lang.Exception` - - can Throw exceptions such as parse exceptions etc..
  See Also:
    `TemplateCompiler.compileTemplateDataIntoXHTML(nextapp.echo2.webcontainer.RenderContext, echopointng.template.TemplateDataSource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD